Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slacpy

    java.lang.Object
      org.netlib.lapack.Slacpy

    public class Slacpy

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLACPY copies all or part of a two-dimensional matrix A to another
     *  matrix B.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          Specifies the part of the matrix A to be copied to B.
     *          = 'U':      Upper triangular part
     *          = 'L':      Lower triangular part
     *          Otherwise:  All of the matrix A
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix A.  M >= 0.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix A.  N >= 0.
     *
     *  A       (input) REAL array, dimension (LDA,N)
     *          The m by n matrix A.  If UPLO = 'U', only the upper triangle

     *          or trapezoid is accessed; if UPLO = 'L', only the lower
     *          triangle or trapezoid is accessed.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1,M).
     *
     *  B       (output) REAL array, dimension (LDB,N)
     *          On exit, B = A in the locations specified by UPLO.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B.  LDB >= max(1,M).
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`Slacpy()`

Method Summary
`static void` | `slacpy(java.lang.String uplo, int m, int n, float[] a, int _a_offset, int lda, float[] b, int _b_offset, int ldb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slacpy

    public Slacpy()

Method Detail

### slacpy

    public static void slacpy(java.lang.String uplo,
                              int m,
                              int n,
                              float[] a,
                              int _a_offset,
                              int lda,
                              float[] b,
                              int _b_offset,
                              int ldb)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD